%global momorel 3
%global         qtver 4.6.2
%global         kdever 4.4.95
%global         kdelibsrel 1m
%global         kdepimver 4.5
%global         qtdir %{_libdir}/qt4
%global         kdedir /usr
%global         ftpdirver 4.4.0
%global         sourcedir stable/%{ftpdirver}/src/extragear
%global         pluginversion 1.3.0

Name:           kopete-cryptography
Version:        %{pluginversion}
Release:        %{momorel}m%{?dist}
Summary:        Encrypts and signs messages in Kopete using the OpenPGP
Group:          Applications/Internet
License:        GPLv2+
URL:            http://extragear.kde.org/apps/kopete%20cryptography/
Source0:        ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{pluginversion}-kde%{ftpdirver}.tar.bz2
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
## upstreamable patches
## FIXME: Why is this still not upstreamed?
Patch50:        kopete-cryptography-1.3.0-kde4.1.3-prevent-chat-session-destroyed.patch
BuildRequires:  kdelibs-devel >= %{kdever}
BuildRequires:  kdenetwork-devel 
BuildRequires:  kdepim-devel >= %{kdepimver}
BuildRequires:  kdepimlibs-devel
BuildRequires:  gpgme-devel
BuildRequires:  openldap-devel
BuildRequires:  gettext-devel
# for kopete
Requires:       kdenetwork >= %{kdever}

%description
Kopete cryptography plugin encrypts and signs messages using the OpenPGP
standard. It also handles incoming messages that are encrypted or signed.

%prep
%setup -q -n %{name}-%{pluginversion}-kde%{ftpdirver}
%patch50 -p1 -b .prevent-chat-session-destroyed

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}${HTML_DIR} ]; then
for lang_dir in %{buildroot}${HTML_DIR}/* ; do
  if [ -d ${lang_dir} ]; then
    lang=$(basename ${lang_dir})
	case "${lang_dir}" in
      %{buildroot}${HTML_DIR}/en)
        echo "%lang(${lang}) ${HTML_DIR}/${lang}/kopete/*/" >> %{name}.lang
        ;;
      *)
        echo "%lang(${lang}) ${HTML_DIR}/${lang}/*/" >> %{name}.lang
        ;;
    esac
  fi
done
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_kde4_libdir}/kde4/kcm_kopete_cryptography.so
%{_kde4_libdir}/kde4/kopete_cryptography.so
%{_kde4_datadir}/kde4/services/kconfiguredialog/kopete_cryptography_config.desktop
%{_kde4_datadir}/kde4/services/kopete_cryptography.desktop
%{_kde4_appsdir}/kopete_cryptography

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-3m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-2m)
- rebuild against kdepim-4.5-0.1.1m

* Thu Jul 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-1m)
- import from Fedora devel

* Sat Feb 13 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.3.0-16
- 1.3.0-kde4.4.0

* Wed Nov 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.3.0-15
- rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Thu Nov 05 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.3.0-14
- 1.3.0-kde4.3.3

* Tue Sep 01 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.3.0-13
- 1.3.0-kde4.3.1

* Tue Aug 11 2009 Sebastian Vahl <fedora@deadbabylon.de> - 1.3.0-12
- 1.3.0-kde4.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.3.0-10
- 1.3.0-kde4.2.4

* Fri May 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.3.0-9
- 1.3.0-kde4.2.3
- cleanup docdir/HTML ownership
- sync from F-10 branch

* Thu Dec 11 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-8
- requires correct version of kopete

* Tue Dec 10 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-6
- prevent chat session destroyed patch

* Tue Dec 10 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-5
- remove post and postun sections

* Thu Dec 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.3.0-4
- rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-3
- post and postun sections
- install section cleanup

* Mon Dec 01 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-2
- buildroot macro usage consistency
- make VERBOSE=1
- owns kopete_cryptography directory

* Thu Nov 27 2008 Jaroslav Reznik <jreznik@redhat.com> - 1.3.0-1
- initial package
